Bug 1732317 - "Uptime: about 49 years" for a host without facts
Summary: "Uptime: about 49 years" for a host without facts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.6.0
Assignee: Marek Hulan
QA Contact: Peter Dragun
URL:
Whiteboard:
: 1743495 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-23 07:19 UTC by Marek Hulan
Modified: 2019-10-22 19:50 UTC (History)
4 users (show)

Fixed In Version: foreman-1.22.0.17-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 19:50:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github theforeman/foreman/commit/fdef89bf42cd8bb0a376c90d77d99a32b9373903 None None None 2019-07-23 07:23:29 UTC

Internal Links: 1743495

Description Marek Hulan 2019-07-23 07:19:38 UTC
I have a host which do not have any uptime-releted facts (?):

```
[root@katello ~]# hammer fact list --search 'host = "rhel7-nested.nodhcp.local"'
--------------------------|-----------------------------------------------|---------------------------------------------------------------------------------
HOST                      | FACT                                          | VALUE                                                                           
--------------------------|-----------------------------------------------|---------------------------------------------------------------------------------
rhel7-nested.nodhcp.local | net                                           |                                                                                 
rhel7-nested.nodhcp.local | net::interface                                |                                                                                 
rhel7-nested.nodhcp.local | cpu                                           |                                                                                 
rhel7-nested.nodhcp.local | distribution                                  |                                                                                 
rhel7-nested.nodhcp.local | virt                                          |                                                                                 
rhel7-nested.nodhcp.local | uname                                         |                                                                                 
rhel7-nested.nodhcp.local | dmi                                           |                                                                                 
rhel7-nested.nodhcp.local | dmi::bios                                     |                                                                                 
rhel7-nested.nodhcp.local | system                                        |                                                                                 
rhel7-nested.nodhcp.local | dmi::chassis                                  |                                                                                 
rhel7-nested.nodhcp.local | proc_stat                                     |                                                                                 
rhel7-nested.nodhcp.local | dmi::memory                                   |                                                                                 
rhel7-nested.nodhcp.local | proc_cpuinfo::common                          |                                                                                 
rhel7-nested.nodhcp.local | proc_cpuinfo                                  |                                                                                 
rhel7-nested.nodhcp.local | network                                       |                                                                                 
rhel7-nested.nodhcp.local | dmi::meta                                     |                                                                                 
rhel7-nested.nodhcp.local | dmi::processor                                |                                                                                 
rhel7-nested.nodhcp.local | net::interface::virbr0-nic                    |                                                                                 
rhel7-nested.nodhcp.local | net::interface::virbr0                        |                                                                                 
rhel7-nested.nodhcp.local | dmi::system                                   |                                                                                 
rhel7-nested.nodhcp.local | net::interface::eth1::ipv6_netmask            |                                                                                 
rhel7-nested.nodhcp.local | net::interface::eth1::ipv6_address            |                                                                                 
rhel7-nested.nodhcp.local | lscpu                                         |                                                                                 
rhel7-nested.nodhcp.local | net::interface::eth1                          |                                                                                 
rhel7-nested.nodhcp.local | net::interface::eth0                          |                                                                                 
rhel7-nested.nodhcp.local | net::interface::br0::ipv6_netmask             |                                                                                 
rhel7-nested.nodhcp.local | net::interface::br0::ipv6_address             |                                                                                 
rhel7-nested.nodhcp.local | net::interface::br0                           |                                                                                 
rhel7-nested.nodhcp.local | memory                                        |                                                                                 
rhel7-nested.nodhcp.local | dmi::memory::data_width                       |                                                                                 
rhel7-nested.nodhcp.local | dmi::memory::total_width                      |                                                                                 
rhel7-nested.nodhcp.local | dmi::processor::voltage                       |                                                                                 
rhel7-nested.nodhcp.local | proc_cpuinfo::common::core_id                 | 0                                                                               
rhel7-nested.nodhcp.local | dmi::bios::bios_revision                      | 0.0                                                                             
rhel7-nested.nodhcp.local | lscpu::numa_node0_cpu(s)                      | 0,1                                                                             
rhel7-nested.nodhcp.local | lscpu::on-line_cpu(s)_list                    | 0,1                                                                             
rhel7-nested.nodhcp.local | dmi::bios::relase_date                        | 04/01/2014                                                                      
rhel7-nested.nodhcp.local | proc_cpuinfo::common::microcode               | 0x1                                                                             
rhel7-nested.nodhcp.local | dmi::memory::array_handle                     | 0x1000                                                                          
rhel7-nested.nodhcp.local | dmi::bios::address                            | 0xe8000                                                                         
rhel7-nested.nodhcp.local | proc_cpuinfo::common::siblings                | 1                                                                               
rhel7-nested.nodhcp.local | lscpu::core(s)_per_socket                     | 1                                                                               
rhel7-nested.nodhcp.local | cpu::thread(s)_per_core                       | 1                                                                               
rhel7-nested.nodhcp.local | lscpu::numa_node(s)                           | 1                                                                               
rhel7-nested.nodhcp.local | lscpu::thread(s)_per_core                     | 1                                                                               
rhel7-nested.nodhcp.local | proc_cpuinfo::common::cpu_cores               | 1                                                                               
rhel7-nested.nodhcp.local | cpu::core(s)_per_socket                       | 1                                                                               
rhel7-nested.nodhcp.local | dmi::bios::version                            | 1.12.0-1.fc28                                                                   
rhel7-nested.nodhcp.local | proc_cpuinfo::common::cpuid_level             | 13                                                                              
rhel7-nested.nodhcp.local | proc_stat::btime                              | 1552464986                                                                      
rhel7-nested.nodhcp.local | lscpu::l3_cache                               | 16384K                                                                          
rhel7-nested.nodhcp.local | proc_cpuinfo::common::cache_size              | 16384 KB                                                                        
rhel7-nested.nodhcp.local | net::interface::eth1::ipv4_broadcast_list     | 192.168.122.255                                                                 
rhel7-nested.nodhcp.local | net::interface::eth1::ipv4_broadcast          | 192.168.122.255                                                                 
rhel7-nested.nodhcp.local | net::interface::eth1::ipv4_address_list       | 192.168.122.69                                                                  
rhel7-nested.nodhcp.local | net::interface::eth1::ipv4_address            | 192.168.122.69                                                                  
rhel7-nested.nodhcp.local | net::interface::virbr0::ipv4_address_list     | 192.168.124.1                                                                   
rhel7-nested.nodhcp.local | net::interface::virbr0::ipv4_address          | 192.168.124.1                                                                   
rhel7-nested.nodhcp.local | network::ipv4_address                         | 192.168.124.1, 192.168.122.69                                                   
rhel7-nested.nodhcp.local | net::interface::virbr0::ipv4_broadcast        | 192.168.124.255                                                                 
rhel7-nested.nodhcp.local | net::interface::virbr0::ipv4_broadcast_list   | 192.168.124.255                                                                 
rhel7-nested.nodhcp.local | uname::version                                | #1 SMP Thu Nov 15 17:36:42 UTC 2018                                             
rhel7-nested.nodhcp.local | lscpu::cpu(s)                                 | 2                                                                               
rhel7-nested.nodhcp.local | dmi::meta::cpu_socket_count                   | 2                                                                               
rhel7-nested.nodhcp.local | lscpu::socket(s)                              | 2                                                                               
rhel7-nested.nodhcp.local | cpu::cpu(s)                                   | 2                                                                               
rhel7-nested.nodhcp.local | cpu::cpu_socket(s)                            | 2                                                                               
rhel7-nested.nodhcp.local | memory::swaptotal                             | 2097148                                                                         
rhel7-nested.nodhcp.local | net::interface::eth1::ipv4_netmask            | 24                                                                              
rhel7-nested.nodhcp.local | net::interface::virbr0::ipv4_netmask          | 24                                                                              
rhel7-nested.nodhcp.local | net::interface::virbr0::ipv4_netmask_list     | 24                                                                              
rhel7-nested.nodhcp.local | net::interface::eth1::ipv4_netmask_list       | 24                                                                              
rhel7-nested.nodhcp.local | lscpu::cpu_mhz                                | 2712.000                                                                        
rhel7-nested.nodhcp.local | proc_cpuinfo::common::cpu_mhz                 | 2712.000                                                                        
rhel7-nested.nodhcp.local | lscpu::stepping                               | 3                                                                               
rhel7-nested.nodhcp.local | proc_cpuinfo::common::stepping                | 3                                                                               
rhel7-nested.nodhcp.local | uname::release                                | 3.10.0-957.1.3.el7.x86_64                                                       
rhel7-nested.nodhcp.local | system::certificate_version                   | 3.2                                                                             
rhel7-nested.nodhcp.local | lscpu::cpu_op-mode(s)                         | 32-bit, 64-bit                                                                  
rhel7-nested.nodhcp.local | lscpu::l1i_cache                              | 32K                                                                             
rhel7-nested.nodhcp.local | lscpu::l1d_cache                              | 32K                                                                             
rhel7-nested.nodhcp.local | memory::memtotal                              | 3782088                                                                         
rhel7-nested.nodhcp.local | dmi::memory::size                             | 4000 MB                                                                         
rhel7-nested.nodhcp.local | dmi::memory::maximum_capacity                 | 4000 MB                                                                         
rhel7-nested.nodhcp.local | lscpu::l2_cache                               | 4096K                                                                           
rhel7-nested.nodhcp.local | proc_cpuinfo::common::address_sizes           | 40 bits physical, 48 bits virtual                                               
rhel7-nested.nodhcp.local | net::interface::eth0::mac_address             | 52:54:00:14:2D:D4                                                               
rhel7-nested.nodhcp.local | net::interface::br0::mac_address              | 52:54:00:14:2D:D4                                                               
rhel7-nested.nodhcp.local | net::interface::eth1::mac_address             | 52:54:00:A9:1D:30                                                               
rhel7-nested.nodhcp.local | net::interface::virbr0-nic::mac_address       | 52:54:00:E0:3E:84                                                               
rhel7-nested.nodhcp.local | net::interface::virbr0::mac_address           | 52:54:00:E0:3E:84                                                               
rhel7-nested.nodhcp.local | proc_cpuinfo::common::bogomips                | 5424.00                                                                         
rhel7-nested.nodhcp.local | lscpu::bogomips                               | 5424.00                                                                         
rhel7-nested.nodhcp.local | lscpu::cpu_family                             | 6                                                                               
rhel7-nested.nodhcp.local | proc_cpuinfo::common::cpu_family              | 6                                                                               
rhel7-nested.nodhcp.local | net::interface::eth1::ipv6_netmask::link_list | 64                                                                              
rhel7-nested.nodhcp.local | net::interface::br0::ipv6_netmask::link_list  | 64                                                                              
rhel7-nested.nodhcp.local | net::interface::br0::ipv6_netmask::link       | 64                                                                              
rhel7-nested.nodhcp.local | net::interface::eth1::ipv6_netmask::link      | 64                                                                              
rhel7-nested.nodhcp.local | proc_cpuinfo::common::cache_alignment         | 64                                                                              
rhel7-nested.nodhcp.local | proc_cpuinfo::common::clflush_size            | 64                                                                              
rhel7-nested.nodhcp.local | dmi::bios::rom_size                           | 64 KB                                                                           
rhel7-nested.nodhcp.local | virt::uuid                                    | 6EE2270B-FEC3-463F-ACEE-74D5EE7E65A9                                            
rhel7-nested.nodhcp.local | dmi::system::uuid                             | 6EE2270B-FEC3-463F-ACEE-74D5EE7E65A9                                            
rhel7-nested.nodhcp.local | distribution::version                         | 7.6                                                                             
rhel7-nested.nodhcp.local | lscpu::model                                  | 94                                                                              
rhel7-nested.nodhcp.local | proc_cpuinfo::common::model                   | 94                                                                              
rhel7-nested.nodhcp.local | dmi::bios::runtime_size                       | 96 KB                                                                           
rhel7-nested.nodhcp.local | dmi::processor::type                          | Central Processor                                                               
rhel7-nested.nodhcp.local | dmi::processor::socket_designation            | CPU 1                                                                           
rhel7-nested.nodhcp.local | dmi::memory::form_factor                      | DIMM                                                                            
rhel7-nested.nodhcp.local | dmi::memory::locator                          | DIMM 0                                                                          
rhel7-nested.nodhcp.local | system::default_locale                        | en_US.UTF-8                                                                     
rhel7-nested.nodhcp.local | net::interface::br0::ipv6_address::link       | fe80::5054:ff:fe14:2dd4                                                         
rhel7-nested.nodhcp.local | net::interface::br0::ipv6_address::link_list  | fe80::5054:ff:fe14:2dd4                                                         
rhel7-nested.nodhcp.local | net::interface::eth1::ipv6_address::link_list | fe80::5054:ff:fea9:1d30                                                         
rhel7-nested.nodhcp.local | net::interface::eth1::ipv6_address::link      | fe80::5054:ff:fea9:1d30                                                         
rhel7-nested.nodhcp.local | network::ipv6_address                         | fe80::5054:ff:fea9:1d30, fe80::5054:ff:fe14:2dd4                                
rhel7-nested.nodhcp.local | proc_cpuinfo::common::flags                   | fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflu...
rhel7-nested.nodhcp.local | lscpu::flags                                  | fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflu...
rhel7-nested.nodhcp.local | lscpu::virtualization_type                    | full                                                                            
rhel7-nested.nodhcp.local | distribution::version::modifier               | ga                                                                              
rhel7-nested.nodhcp.local | lscpu::vendor_id                              | GenuineIntel                                                                    
rhel7-nested.nodhcp.local | proc_cpuinfo::common::vendor_id               | GenuineIntel                                                                    
rhel7-nested.nodhcp.local | proc_cpuinfo::common::model_name              | Intel(R) Core(TM) i7-6820HQ CPU @ 2.70GHz                                       
rhel7-nested.nodhcp.local | lscpu::model_name                             | Intel(R) Core(TM) i7-6820HQ CPU @ 2.70GHz                                       
rhel7-nested.nodhcp.local | cpu::topology_source                          | kernel /sys cpu sibling lists                                                   
rhel7-nested.nodhcp.local | virt::host_type                               | kvm                                                                             
rhel7-nested.nodhcp.local | lscpu::hypervisor_vendor                      | KVM                                                                             
rhel7-nested.nodhcp.local | uname::sysname                                | Linux                                                                           
rhel7-nested.nodhcp.local | lscpu::byte_order                             | Little Endian                                                                   
rhel7-nested.nodhcp.local | distribution::id                              | Maipo                                                                           
rhel7-nested.nodhcp.local | dmi::memory::error_correction_type            | Multi-bit ECC                                                                   
rhel7-nested.nodhcp.local | dmi::system::status                           | No errors detected                                                              
rhel7-nested.nodhcp.local | dmi::chassis::lock                            | Not Present                                                                     
rhel7-nested.nodhcp.local | dmi::memory::error_information_handle         | Not Provided                                                                    
rhel7-nested.nodhcp.local | dmi::system::family                           | Not Specified                                                                   
rhel7-nested.nodhcp.local | dmi::system::sku_number                       | Not Specified                                                                   
rhel7-nested.nodhcp.local | dmi::memory::bank_locator                     | Not Specified                                                                   
rhel7-nested.nodhcp.local | dmi::system::serial_number                    | Not Specified                                                                   
rhel7-nested.nodhcp.local | dmi::processor::serial_number                 | Not Specified                                                                   
rhel7-nested.nodhcp.local | dmi::chassis::serial_number                   | Not Specified                                                                   
rhel7-nested.nodhcp.local | dmi::processor::part_number                   | Not Specified                                                                   
rhel7-nested.nodhcp.local | dmi::processor::asset_tag                     | Not Specified                                                                   
rhel7-nested.nodhcp.local | dmi::memory::serial_number                    | Not Specified                                                                   
rhel7-nested.nodhcp.local | dmi::memory::part_number                      | Not Specified                                                                   
rhel7-nested.nodhcp.local | dmi::chassis::asset_tag                       | Not Specified                                                                   
rhel7-nested.nodhcp.local | dmi::memory::assettag                         | Not Specified                                                                   
rhel7-nested.nodhcp.local | dmi::memory::speed                            | (ns)                                                                            
rhel7-nested.nodhcp.local | dmi::processor::upgrade                       | Other                                                                           
rhel7-nested.nodhcp.local | dmi::processor::family                        | Other                                                                           
rhel7-nested.nodhcp.local | dmi::memory::location                         | Other                                                                           
rhel7-nested.nodhcp.local | dmi::chassis::type                            | Other                                                                           
rhel7-nested.nodhcp.local | dmi::chassis::version                         | pc-i440fx-2.11                                                                  
rhel7-nested.nodhcp.local | dmi::processor::version                       | pc-i440fx-2.11                                                                  
rhel7-nested.nodhcp.local | dmi::system::version                          | pc-i440fx-2.11                                                                  
rhel7-nested.nodhcp.local | dmi::processor::status                        | Populated:Enabled                                                               
rhel7-nested.nodhcp.local | dmi::system::wake-up_type                     | Power Switch                                                                    
rhel7-nested.nodhcp.local | dmi::system::manufacturer                     | QEMU                                                                            
rhel7-nested.nodhcp.local | dmi::memory::manufacturer                     | QEMU                                                                            
rhel7-nested.nodhcp.local | dmi::chassis::manufacturer                    | QEMU                                                                            
rhel7-nested.nodhcp.local | dmi::memory::type                             | RAM                                                                             
rhel7-nested.nodhcp.local | distribution::name                            | Red Hat Enterprise Linux Server                                                 
rhel7-nested.nodhcp.local | network::hostname                             | rhel7-nested.nodhcp.local                                                       
rhel7-nested.nodhcp.local | uname::nodename                               | rhel7-nested.nodhcp.local                                                       
rhel7-nested.nodhcp.local | network::fqdn                                 | rhel7-nested.nodhcp.local                                                       
rhel7-nested.nodhcp.local | dmi::chassis::thermal_state                   | Safe                                                                            
rhel7-nested.nodhcp.local | dmi::chassis::power_supply_state              | Safe                                                                            
rhel7-nested.nodhcp.local | dmi::chassis::boot-up_state                   | Safe                                                                            
rhel7-nested.nodhcp.local | dmi::bios::vendor                             | SeaBIOS                                                                         
rhel7-nested.nodhcp.local | dmi::system::product_name                     | Standard PC (i440FX + PIIX, 1996)                                               
rhel7-nested.nodhcp.local | dmi::memory::use                              | System Memory                                                                   
rhel7-nested.nodhcp.local | virt::is_guest                                | true                                                                            
rhel7-nested.nodhcp.local | dmi::chassis::security_status                 | Unknown                                                                         
rhel7-nested.nodhcp.local | lscpu::virtualization                         | VT-x                                                                            
rhel7-nested.nodhcp.local | uname::machine                                | x86_64                                                                          
rhel7-nested.nodhcp.local | lscpu::architecture                           | x86_64                                                                          
rhel7-nested.nodhcp.local | proc_cpuinfo::common::fpu_exception           | yes                                                                             
rhel7-nested.nodhcp.local | proc_cpuinfo::common::fpu                     | yes                                                                             
rhel7-nested.nodhcp.local | proc_cpuinfo::common::wp                      | yes                                                                             
--------------------------|-----------------------------------------------|---------------------------------------------------------------------------------
```

and in UI there is "Uptime: about 49 years" for that host. I have about 1 week old nightly:


```
[root@katello ~]# rpm -qa | grep -e foreman -e katello | sort
foreman-1.22.0-0.6.develop.20190312103025git0356709.el7.noarch
foreman-cli-1.22.0-0.6.develop.20190312103025git0356709.el7.noarch
foreman-compute-1.22.0-0.6.develop.20190312103025git0356709.el7.noarch
foreman-debug-1.22.0-0.6.develop.20190312103025git0356709.el7.noarch
foreman-installer-1.22.0-0.2.develop.20190312202849git09a8a3b.el7.noarch
foreman-installer-katello-1.22.0-0.2.develop.20190312202849git09a8a3b.el7.noarch
foreman-postgresql-1.22.0-0.6.develop.20190312103025git0356709.el7.noarch
foreman-proxy-1.22.0-0.1.develop.20190308154738git21642e6.el7.noarch
foreman-release-1.22.0-0.1.develop.el7.noarch
foreman-release-scl-7-2.el7.noarch
foreman-selinux-1.22.0-0.1.develop.20190312202305gitedd291b.el7.noarch
katello-3.12.0-0.3.master.el7.noarch
katello-certs-tools-2.5.3-1.el7.noarch
katello-client-bootstrap-1.7.0-1.el7.noarch
katello-common-3.12.0-0.3.master.el7.noarch
katello-debug-3.12.0-0.3.master.el7.noarch
katello-default-ca-1.0-1.noarch
katello.nodhcp.local-apache-1.0-1.noarch
katello.nodhcp.local-foreman-client-1.0-1.noarch
katello.nodhcp.local-foreman-proxy-1.0-1.noarch
katello.nodhcp.local-foreman-proxy-client-1.0-1.noarch
katello.nodhcp.local-puppet-client-1.0-1.noarch
katello.nodhcp.local-qpid-broker-1.0-1.noarch
katello.nodhcp.local-qpid-client-cert-1.0-1.noarch
katello.nodhcp.local-qpid-router-client-1.0-1.noarch
katello.nodhcp.local-qpid-router-server-1.0-1.noarch
katello.nodhcp.local-tomcat-1.0-1.noarch
katello-repos-3.12.0-0.1.nightly.el7.noarch
katello-selinux-3.0.3-1.el7.noarch
katello-server-ca-1.0-1.noarch
katello-service-3.12.0-0.3.master.el7.noarch
pulp-katello-1.0.2-1.el7.noarch
rubygem-foreman_maintain-0.4.1-1.el7.noarch
tfm-rubygem-foreman_docker-4.1.1-1.fm1_22.el7.noarch
tfm-rubygem-foreman_remote_execution-1.7.0-7.fm1_22.el7.noarch
tfm-rubygem-foreman_remote_execution_core-1.1.5-1.el7.noarch
tfm-rubygem-foreman-tasks-0.15.0-2.fm1_22.el7.noarch
tfm-rubygem-foreman-tasks-core-0.3.0-1.fm1_22.el7.noarch
tfm-rubygem-hammer_cli_foreman-0.17-0.1.pre.develop.20190305102907git526f5f7.el7.noarch
tfm-rubygem-hammer_cli_foreman_bootdisk-0.1.3-7.el7.noarch
tfm-rubygem-hammer_cli_foreman_docker-0.0.4-4.el7.noarch
tfm-rubygem-hammer_cli_foreman_remote_execution-0.1.0-2.fm1_20.el7.noarch
tfm-rubygem-hammer_cli_foreman_tasks-0.0.13-1.fm1_20.el7.noarch
tfm-rubygem-hammer_cli_katello-0.18-0.1.pre.master.20190306155258git1abe582.el7.noarch
tfm-rubygem-katello-3.12.0-0.3.pre.master.20190306155258git9067e37.el7.noarch
```

Comment 1 Marek Hulan 2019-07-23 07:19:41 UTC
Created from redmine issue https://projects.theforeman.org/issues/26393

Comment 2 Marek Hulan 2019-07-23 07:19:46 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 8 Peter Dragun 2019-09-11 09:51:41 UTC
Verified on Satellite 6.6 snap 19. Uptime is now shown correctly based on boot time, when there is not uptime fact. When boot time fact is missing too there is not uptime shown in UI.

Comment 9 Brad Buckingham 2019-09-26 20:22:36 UTC
*** Bug 1743495 has been marked as a duplicate of this bug. ***

Comment 10 Bryan Kearney 2019-10-22 19:50:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.